<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.GetEnumerator Method
JoinCursor Class See Also Send Feedback

Returns an enumerator that iterates through the JoinCursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public IEnumerator<KeyValuePair<DatabaseEntry, DatabaseEntry>> GetEnumerator()

Visual Basic (Declaration)

    Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry))

Visual C++

    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ GetEnumerator() sealed

#### Return Value

An enumerator for the Cursor.

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# Remarks

The enumerator begins at the cursor's current position (or the first record if the cursor has not yet been positioned) and iterate forwards (i.e. in the direction of MoveNext()()()) over the remaining records.

# See Also

JoinCursor Class
BerkeleyDB Namespace